{
  "$schema": "http://json-schema.org/draft-04/schema#",
"description": "Response of download Reference for requested hotel data which can be used for hotel data download request.",
  "type": "object",
  "additionalProperties": false,
  "$ref": "#/definitions/hotelDataResponse",
    "definitions": {
    "hotelDataResponse": {
      "description": "Response of download Reference for requested hotel data which can be used for hotel data download request.",
      "type": "object",
	  "properties": {
        "responseAuditInfo": {
          "$ref": "commonTypes.json#/definitions/responseAuditInfo"
        },
        "versionNumber": {
          "$ref": "commonTypes.json#/definitions/schemaVersion"
        },
		"errors": {
                      "description": "Indicates the collections of error occurred in the processing of the request message.",
                          "$ref": "commonTypes.json#/definitions/errors"
                      },
		"downloadReference": {
                      "description": "Download reference number for requested hotel data.",
                          "$ref": "commonTypes.json#/definitions/xs:string"
                      },
		"estimatedResponseTime": {
                      "description": "Estimated time for constructing requested hotel data.",
                          "$ref": "commonTypes.json#/definitions/xs:dateTime"
                      },
					  
		 "warnings": {
                      "description": "Indicates the collections of business level warning messages for requested products.",
                      "type": "object",
                      "properties": {
                        "warning": {
                          "$ref": "commonTypes.json#/definitions/warningType"
                        }
                      },
                      "additionalProperties": false
                    }
		},
		 "required": [
        "versionNumber",
        "responseAuditInfo"
      ],
      "additionalProperties": false
	  }
	  }
	  }
  